package com.hotent.portal.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hotent.base.entity.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("PORTAL_NEWS_NOTICE_READ")
@ApiModel(value="PortalNewsNoticeRead对象", description="")
public class PortalNewsNoticeRead extends BaseModel<PortalNewsNoticeRead> {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name="id", notes="主键")
    @TableId("ID_")
    protected String id;

    @ApiModelProperty(name="msgId", notes="消息ID")
    @TableField("msg_id_")
    protected String msgId;

    @ApiModelProperty(name="receiverId", notes="消息接收人ID")
    @TableField("receiver_id_")
    protected String receiverId;

    @ApiModelProperty(name="receiver", notes="消息接收人")
    @TableField("receiver_")
    protected String receiver;

    @ApiModelProperty(name="receiverTime", notes="接收时间")
    @TableField("receiver_time_")
    protected LocalDateTime receiverTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMsgId() {
        return msgId;
    }

    public void setMsgId(String msgId) {
        this.msgId = msgId;
    }

    public String getReceiverId() {
        return receiverId;
    }

    public void setReceiverId(String receiverId) {
        this.receiverId = receiverId;
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver;
    }

    public LocalDateTime getReceiverTime() {
        return receiverTime;
    }

    public void setReceiverTime(LocalDateTime receiverTime) {
        this.receiverTime = receiverTime;
    }

    @Override
    public String toString() {
        return "PortalNewsNoticeRead{" +
                "id='" + id + '\'' +
                ", msgId='" + msgId + '\'' +
                ", receiverId='" + receiverId + '\'' +
                ", receiver='" + receiver + '\'' +
                ", receiverTime=" + receiverTime +
                '}';
    }
}
